Subject: RE: [Enum] How long will it take to update a NAPTR record?

From: "Zmolek, Andrew (Andrew)" <[email-masked]>
Date: Tue, 19 Mar 2002 13:02:20 -0700

Yes, I was speaking on the E.164 issues as being separate from the DNS issues.

--Andy

-----Original Message-----
From: Patrik Fältström [mailto:[email-masked]]
Sent: Tuesday, March 19, 2002 12:54 PM
To: Zmolek, Andrew (Andrew); Pfautz, Penn L, ALVAP; [email-masked]
Subject: RE: [Enum] How long will it take to update a NAPTR record?

--On 2002-03-19 12.21 -0700 "Zmolek, Andrew (Andrew)" <[email-masked]>
wrote:

> Even if the real-time update problem is solved, the notion of adding
> tailorable privacy/authentication/authorization/policy to any given
> request/response transaction is still not appropriately solved in DNS
> (nor should it be).

What Secure Dynamic Updates help you with is to give the ability for
someone to in a secure and authenticated way update the record. Before this
happens, a "normal" verification of a public key must happen. During this
key verification phase, the authorization can be done.

I.e. I agree with the statement above if you with the above mean (which I
think and hope) that E.164 issues are handled on one layer, and DNS issues
on onother. DNS issues are with for example the mechanism I specified ok.

   paf

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: "bill" <[email-masked]>
Date: Tue, 19 Mar 2002 14:24:58 -0800

Thanks, Kevin,

You make things more clear. Different time limit will be determined for 
each tiers of DNS registry of ENUM:

*for Tier 0, it will be a couple of days;
*for Tier 1, it will be several hours;
*for Tier 2, it will be less than a minute;

So the so-called "real-time" update must be understood and implemented 
under each tier of DNS provision of ENUM system. I proposed that a 
informational draft on ENUM service related DNS question be produced 
before next IETF meeting. I think such work will benefit the long term 
implementation of ENUM.

Bill

CNNIC

2002/03/19   

----- Original Message -----
From: Kevin McCandless <[email-masked]>
Date: Tuesday, March 19, 2002 11:37 am
Subject: RE: [Enum] How long will it take to update a NAPTR record?

> Bill:
> 
> The NAPTR records are hosted by the Tier 2 provider.  Therefore, 
> the records
> reside within their local servers.  So, if I changed or added a 
> NAPTR record
> the information should be availble to new query within minutes.  
> Now, if I
> just signed up for ENUM or changed my Tier II provider which would 
> requireNS records update/changes then this would take more time to 
> be accessable by
> the query.
> 
> My thoughts.........
> 
> Kevin
> From: bill
> To: [email-masked]
> Sent: 3/19/2002 6:54 AM
> Subject: [Enum] How long will it take to update a NAPTR record?
> 
> Folks:
> 
> There is machanism which make DNS to update a record in about 
> several 
> hours. The time to be used is determined by the TTL, refresh time, 
> caching and etc. Have anybody consider the following question:
> 
> When an ENUM subscriber want to change his NAPTR record in real-
> time, 
> i.e. two mininute, like call transfer function provide by the 
> telcom 
> system, how to reflect changes into the DNS servers?
> 
> There are many cases that need the ENUM DNS response in real-time 
> to 
> satisfy the user's demand.
> 
> Any comments?
> 
> Bill
> 
> CNNIC
> [email-masked]
> 
> 2002/03/19 
> 
>